var ucode,js ,contentId,blogName;
$(function(){
	ucode = getQueryString('code'); 
	js = getQueryString('js');
	init();
    $(window).resize(function() {
        init();
    });
//博客点击量
	$.getScript('http://oa.019.net:8889/u/ux1.php?code='+ucode);
	getBlog()
	
})

function getBlog(){
	 var url="http://oa.019.net:8889/u/u.php?code="+ucode+"&callback=?";
   var param={};
    $.getJSON(url,param,function(data){
		var dx=null
		if(js==1){
		  dx=data[2];
		}else
			if(js==2){
		  dx=data[1];
		}else
		{
		dx=data[0];  
		}
		 $('.divimg img').attr('src', dx.avatar);
		$('.div-text').html('<h3>'+ dx.name +'的空间<p></p></h3>');
		$('.abstruct-teacher').html('<p class="p-span"></p>简介：'+ dx.memo);
       $('#fans').html(toNum(dx.crm_status));
   }); 
   
 var url="http://i.019.net/index.php/Guwen/getgwnews/callback/a/type/"+js+"/p/1/n/10?callback=?";
 
   var param={};
    $.getJSON(url,param,function(data){
		var d=[]; 
		for(var i=0;i<data.data.length;i++){
		  tx=data.data[i]; 
		  dt=new Date();
		  dt.setTime(tx.addtime*1000);
		  d.push('<li><div class="btitle"><span class="btime">&nbsp;&nbsp;'+dt.format('yyyy-MM-dd')+'&nbsp;|&nbsp;</span>'+tx.title+'<span class="jiantou jtou"></span></div><div class="bcon">'+tx.neirong+'</div></li>');
		}
	
		$("#blogIframe").find("ul").html(d.join(""));
		$("#blogIframe").find(".btitle").click(function(){ 
		  if($(this).parent().find(".bcon").is(":hidden"))
			{
			  //$(this).parent().height($(this).parent().find(".bcon").height());
			    $(this).parent().css({"margin-bottom":$(this).parent().find(".bcon").height()+10});
              $(this).parent().find(".jtou").css({"background":"url(images/list-icon7.png) no-repeat center -96px;"});
		   $(this).parent().find(".bcon").show();
			}
		  else{ 
			  $(this).parent().find(".jtou").css({"background":"url(images/list-icon9.png) no-repeat center 4px;"});
			   $(this).parent().css({"margin-bottom":10});
			  $(this).parent().find(".bcon").hide();}
		});
   }); 
   
}

function init(){
  var h = $(this).width() - 400;        
  $('#blogIframe').css('width', h+'px')
}